Skip to main content
`Ctrl`+`K`

# numpy.broadcast.iters

attribute

broadcast.iters

  tuple of iterators along `self`’s “components.”

  Returns a tuple of `numpy.flatiter` objects, one for each “component” of `self`.

  See also

  `numpy.flatiter`

  Examples

      >>> import numpy as np
      >>> x = np.array([1, 2, 3])
      >>> y = np.array([[4], [5], [6]])
      >>> b = np.broadcast(x, y)
      >>> row, col = b.iters
      >>> next(row), next(col)
      (1, 4)